From 90dace5626c7ea9d7761f08868a0ad4f5108a41e Mon Sep 17 00:00:00 2001
From: Lucki <lucki@holarse-linuxgaming.de>
Date: Thu, 1 Dec 2022 00:27:56 +0000
Subject: [PATCH 06/11] Fix parenting level

---
 hydrapaper/wallpaper_flowbox_item.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/hydrapaper/wallpaper_flowbox_item.py b/hydrapaper/wallpaper_flowbox_item.py
index bc734e6..f0fcac0 100644
--- a/hydrapaper/wallpaper_flowbox_item.py
+++ b/hydrapaper/wallpaper_flowbox_item.py
@@ -26,7 +26,7 @@ class WallpaperItemPopover(Gtk.Popover):
     def popup(self, *args):
         if (
                 self.parent_w.get_parent().get_parent().get_parent(
-                    ).get_parent().is_favorites or
+                    ).is_favorites or
                 self.parent_w.is_fav
         ):
             self.favorite_btn.set_label(_('Remove favorite'))
-- 
2.40.1


